---
title: txPower
slug: Web/API/BluetoothAdvertisingData/txPower
tags:
  - API
  - Bluetooth
  - BluetoothAdvertisingData
  - Non-standard
  - Obsolete
  - Property
  - Reference
  - txPower
---
<div>{{APIRef("Bluetooth API")}}{{Non-standard_Header}}{{Obsolete_Header}}</div>

<p>The <code>txPower</code> read-only property of the {{DOMxRef('BluetoothAdvertisingData')}} interface returns the transmission power at which the device is broadcasting, measured in dBm. This is used to compute the path loss as <code>this.txPower - this.rssi</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>power</em> = <em>BluetoothAdvertisingData</em>.txPower;</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.BluetoothAdvertisingData.txPower")}}</p>
</div>
